@echo off
echo.
echo *************************************************************************
echo     ABOOT and TWRP Recovery Installation v2
echo     for LG G PAD 8.3 V500 ONLY!
echo     Stock LG build KOT49I.V50020d\V50020b
echo.
echo.
echo     Make sure you are already ROOTED before running this tool! 
echo     If you are not ROOTED yet, please download and run ioroot25 first
echo *************************************************************************
echo.
echo.
echo.
pause
echo.
echo *************************************************************************
echo     Enable USB debugging
echo     Plug in USB to device and authorize your computer
echo     Press ENTER when ready to continue..
echo *************************************************************************
echo.
echo.
echo.
pause
.\adb.exe wait-for-device
echo.
echo Checking for correct device model...
echo.
for /f %%i in ('.\adb.exe shell getprop ro.product.model') do set MODEL=%%i
for /f %%i in ('.\adb.exe shell getprop ro.build.version.release') do set FWVER=%%i
for /f %%i in ('.\adb.exe shell getprop ro.build.id') do set FWBUILD=%%i

if %FWVER%==4.4.2 (
		if /I %MODEL%==LG-V500 (
			if /I %FWBUILD%==KOT49I.V50020d (
				GOTO CheckSU
			)
			if /I %FWBUILD%==KOT49I.V50020b (
				GOTO CheckSU
			)
		)
	)
echo.
echo.
echo *************************************************************************
echo     DEVICE CHECK FAILED!!  
echo     MODEL: %MODEL%  FWBUILD: %FWBUILD% FWVER: %FWVER%
echo.
echo     Script will now exit to avoid damage to your device!!!
echo *************************************************************************	
echo.
pause
exit

:CheckSU
echo.
echo.
echo *************************************************************************
echo Checking the SU binary is installed and working.
echo Make sure to accept any security prompts on your device
echo Press ENTER when you are ready to continue...
echo *************************************************************************
echo.
echo.
for /f %%i in ('.\adb.exe shell /system/xbin/su -c echo sutest') do set SUCHECK=%%i
if %SUCHECK%==sutest (
        echo.
		echo su Binary Detected! Moving on to Install!
		echo.
		GOTO Install
		)
echo.
echo.
echo *************************************************************************
echo     ROOT NOT INSTALLED!!  
echo     Please ROOT device first using IOROOT25
echo     Script will now exit!!!
echo *************************************************************************	
echo.
pause
exit

:Install
echo.
echo.
echo Pushing files to device...
echo.
.\adb.exe shell /system/xbin/su -c "rm -rf /sdcard/flash_tmp/"
.\adb.exe shell mkdir /sdcard/flash_tmp/
.\adb.exe push ./aboot.img /sdcard/flash_tmp/aboot.img
.\adb.exe push ./recovery.lok /sdcard/flash_tmp/recovery.lok
.\adb.exe push ./busybox/busybox /sdcard/flash_tmp/busybox
.\adb.exe shell /system/xbin/su -c "chmod -R 777 /sdcard/flash_tmp"
echo.
echo.
echo Flashing ABOOT...
echo.
.\adb.exe shell "/system/xbin/su /sdcard/flash_tmp/busybox dd if=/sdcard/flash_tmp/aboot.img of=/dev/block/platform/msm_sdcc.1/by-name/aboot"
echo.
echo.
echo Flashing Recovery...
echo.
.\adb.exe shell "/system/xbin/su /sdcard/flash_tmp/busybox dd if=/sdcard/flash_tmp/recovery.lok of=/dev/block/platform/msm_sdcc.1/by-name/recovery"
echo.
if exist ./build.prop (
echo Installing build.prop...
echo.
.\adb.exe push ./build.prop /sdcard/flash_tmp/build.prop
.\adb.exe shell /system/xbin/su -c "mount -o remount,rw /system"
.\adb.exe shell /system/xbin/su -c "rm -f /system/build.prop"
.\adb.exe shell /system/xbin/su -c "cp /sdcard/flash_tmp/build.prop /system/build.prop"
.\adb.exe shell /system/xbin/su -c "chmod 644 /system/build.prop"
.\adb.exe shell /system/xbin/su -c "mount -o remount,ro /system"
)
echo.
echo.
echo Cleaning up files...
echo.
.\adb.exe shell /system/xbin/su -c "rm -rf /sdcard/flash_tmp/"
echo.
echo.
echo.
echo ALL DONE! Press ENTER to Reboot!!
pause
.\adb.exe reboot
exit